var gTocFiles = [
["About this guide","src/ci_about_this_guide.html"]
,["Integrator ETL Overview","src/ci_intro_root.html",
["Integrator ETL Designer","src/ci_intro_designer.html"]
,["Integrator ETL Server","src/ci_intro_server.html"]
,["Configuring Integrator ETL","src/ci_about_configuring_integrator.html",
["Setting a default time zone for incoming data","src/ci_ldiconfig_timezone.html"]
,["Verifying installed Web service versions","src/ci_ldiconfig_verifying_ws_versions.html"]
],["Additional documentation","src/ci_begin_docs.html"]
],["Building a Simple Project","src/ci_simpleproject_stub.html",
["Starting Integrator ETL","src/ti_simpleproject_starting_LDI.html"]
,["Creating a project","src/ti_simpleproject_creating_a_project.html"]
,["Adding the sample data","src/ti_simpleproject_loading_sample_data.html"]
,["Building your first graph","src/ti_simpleproject_building_your_first_graph.html",
["Adding a new component","src/ti_simpleproject_creating_a_new_component.html"]
,["Adding data to the component","src/ti_simpleproject_adding_data_to_component.html"]
,["Defining metadata for the geography data","src/ti_simpleproject_defining_metadata_for_the_sample.html"]
,["Adding a Trash component","src/ti_simpleproject_adding_a_trash_component.html"]
,["Connecting two components with an edge","src/ti_simpleproject_connecting_two_components_with_an_edge.html"]
,["Assigning metadata to the edge","src/ti_simpleproject_assigning_metadata_to_edge.html"]
],["Running the graph","src/ti_simpleproject_running_the_graph.html"]
,["Checking the output","src/ci_simpleproject_checking_the_ouput.html"]
,["Debugging the graph","src/ti_simpleproject_debugging_the_graph.html"]
,["Viewing the XML source for the graph","src/ti_simpleproject_viewing_graph_xml.html"]
,["Sending data to the Endeca data domain","src/ti_simpleproject_send_data_to_mdex.html"]
],["Working with Data Domains","src/ci_workingwithdatastores_stub.html",
["About working with data domains","src/ci_about_working_with_datastores.html"]
,["Recommended data domain creation and configuration process","src/ci_datastore_creation_configuration_process.html"]
,["About data domain data","src/ci_about_datastore_data.html",
["Supported data types","src/ri_begin_data_types.html"]
,["Supported languages","src/ci_supported_languages.html"]
,["Default values for new attributes","src/ri_begin_attr_values.html"]
,["Creating mdexType Custom properties","src/ti_ldiconfig_custom_properties.html"]
,["Specifying multiple record delimiters","src/ti_ldiconfig_rec_delimiter.html"]
],["Creating data domains","src/ci_creating_datastores.html"]
,["Loading and maintaining data in a data domain","src/ci_populating_a_datastore.html",
["Determining which updates to run","src/ci_determining_which_updates_to_run.html"]
,["Choosing a data loading strategy","src/ci_choosing_data_loading_strategy.html"]
,["Choosing a loader","src/ci_choosing_a_loader.html"]
,["Processing multi-value data","src/ci_processing_multivalue_data.html"]
],["Load graphs","src/ci_initial_load_graphs.html",
["Source data format","src/ci_initial_load_data.html"]
,["Configuring a Reformat component to generate a primary key","src/ci_initial_load_reformat_connector.html"]
,["Configuring the Bulk Add/Replace Records component for initial load","src/ci_initial_load_bulk_loader.html"]
],["Adding records and assignments","src/ci_adding_records_and_assignments.html",
["Merge Records input","src/ci_merge_records_input.html"]
,["Merge Records graph","src/ci_merge_records_graph.html"]
,["Configuring the Merge Records component","src/ci_configuring_merge_records.html"]
],["Modifying records","src/ci_modifying_records.html",
["Modify Records input","src/ci_modify_records_input.html"]
,["Modify Records graph","src/ci_modify_records_graph.html"]
,["Specifying the Record Set Specifier Attributes","src/ti_specifying_record_set_specifier_attributes.html"]
],["Backing up and restoring data domains","src/ci_backing_up_restoring_data_domain.html"]
,["Deleting data from the data domain","src/ci_deleting_data_from_a_datastore.html",
["Deleting records from the data domain","src/ci_deleteing_records_from_data_domain.html"]
,["Delete Records graph","src/ci_delete_records_graph.html"]
,["Configuring the Delete Records component","src/ci_configuring_delete_delete_records.html"]
]],["Configuring Data Domains","src/ci_conifiguring_data_stores.html",
["About configuring data domains","src/ci_about_configuring_data_stores.html"]
,["Global Configuration Record","src/ri_config_gcr.html",
["Sample GCR input file","src/ci_sample_gcr_input_file.html"]
,["Creating the GCR graph","src/ci_creating_gcr_graph.html"]
,["GCR Web service code","src/ci_gcr_web_services_code.html"]
],["Configuring attributes","src/ci_configuring_attributes.html",
["Loading the standard attribute schema","src/ci_loading_standard_attribute_schema.html"]
,["Loading the managed attribute schema","src/ci_loading_managed_attribute_schema.html"]
,["Loading and modifying managed attribute values (MVals)","src/ci_loading_mvals.html",
["Configuring a Merge Managed Values component to load or modify managed attribute values","src/ci_config_amv_connector.html"]
]],["Configuring relevance ranking","src/ci_configuring_relevance_ranking.html"]
,["Configuring record search","src/ci_configuring_record_search.html"]
,["Configuring value search","src/ci_configuring_value_search.html"]
,["Configuring stop words","src/ci_configuring_stop_words.html"]
,["Configuring the thesaurus","src/ci_configuring_thesaurus.html"]
,["Configuring precedence rules","src/ci_configuring_precedence_rules.html",
["Precedence rule schema","src/ri_precedence_config_operation.html"]
,["Format of the precedence rules input file","src/ci_precedence_config_input.html"]
,["Building a precedence rules graph","src/ci_precedence_rules_graph.html"]
],["XML-based configuration graphs","src/ci_xml-based-configuration_graphs.html",
["Generating a single XML string","src/ci_generating_single_xml_string.html"]
,["Creating an aggregation edge for configuration loading graphs","src/ci_create_aggregation_edge.html"]
],["CSV-based configuration graphs","src/ci_csv_based_configuration_graphs.html"]
,["Exporting and importing data domain configurations","src/ci_export_import_data_store_conifugrations.html",
["Building an export graph","src/ci_building_export_graph.html"]
,["Building an import graph","src/ci_import_data_store_conifiguration.html"]
,["Configuring edges for export and import graphs","src/ti_export_import_edge.html"]
]],["Managing View Definitions","src/ci_managing_view_definitions.html",
["About view definitions","src/ci_about_view_definitions.html"]
,["Exporting view definitions","src/ti_exporting_view_definitions.html"]
,["Importing view definitions","src/ti_import_view_def.html"]
],["Working with Outer Transaction Graphs","src/ci_transaction_root.html",
["About transactions","src/ci_about_transactions.html",
["About the Transaction RunGraph component","src/ci_about_transaction_rungraph_component.html"]
,["When and why to use outer transactions","src/ci_begin_ingest_transactions.html"]
],["Setting up outer transactions","src/ci_transaction_setting_up.html"]
,["Creating an outer transaction graph using the Transaction RunGraph component","src/ci_transaction_graph.html",
["Format of the steps input file","src/ci_transaction_steps_input.html"]
,["Creating an outer transaction graph","src/ti_creating_outer_transaction_graph.html"]
],["Committing or rolling back an outer transaction","src/ti_transaction_commit_graph.html"]
,["Performance impact of transactions","src/ci_transaction_perf_impact.html"]
],["Loading Data from Special Repositories","src/ci_about_loading_data_from_speclal_repositories.html",
["Loading data from an Integrator Acquisition System Record Store","src/ci_using_record_store_reader.html",
["Configuring the Record Store Reader","src/ti_configuring_the_record_store_reader.html"]
,["Generating edge metadata with the Record Store Wizard","src/ti_cas_metadata_generate.html"]
],["Loading Data from Oracle Business Intelligence Server","src/ci_loading_data_from_obi_server.html",
["Load Data from OBI Server prerequisites","src/ci_load_data_from_obi_server_wizard_prerequisites.html"]
,["Using the Load Data from OBI Server wizard","src/ci_using_load_data_from_obi_server_wizard.html",
["Adding collections to a Load data from OBI project","src/ci_add_collection_to_obi_project.html"]
],["Loading Oracle Business Intelligence Server data to Endeca Server","src/ci_loading_obi_server_data_to_endeca_server.html",
["Configuring OBI graphs for encrypted passwords","src/ti_config_obi_graphs_encrypted_passwords.html"]
,["Configuring communication security for OBI graphs","src/ci_config_OBI_communication_security.html"]
],["Configuring OBI Server graphs for Integrator ETL Server","src/ci_config_obi_graph_for_integrator_server.html"]
]],["Enhancing Text","src/ci_about_enhancing_text.html",
["Choosing Text Enrichment or Text Tagging","src/ci_choosing_text_enrichment_or_text_tagging.html"]
,["Using Text Tagger components","src/ci_using_text_taggers.html",
["Overwriting and appending target values","src/ci_overwriting_and_appending_target_values.html"]
,["Text Tagger input and output metadata","src/ci_text_tagger_input_output_metadata.html"]
,["Using the Text Tagger Whitelist component","src/ci_using_text_tagger_whitelist.html",
["Text Tagger Whitelist input tags-rules","src/ci_text_tagger_whitelist_input_tags_rules.html"]
,["Adding the Text Tagger Whitelist component to a graph","src/ci_adding_text_tagger_whitelist_to_graph.html",
["Search term lengths","src/ci_search_term_lengths.html"]
],["Text Tagger Whitelist edges","src/ci_text_tagger_whitelist_edges.html"]
],["Using the Text Tagger Regex component","src/ci_using_text_tagger_regex.html",
["Text Tagger Regex input patterns file","src/ci_text_tagger_regex_input_patterns.html"]
,["Adding Text Tagger Regex to a graph","src/ci_adding_text_tagger_regex_to_graph.html"]
,["Text Tagger Regex edges","src/ci_text_tagger_regex_edges.html"]
]],["Using Text Enrichment","src/ci_using_text_enrichment.html",
["Text Enrichment prerequisites","src/ci_textenrich_prereqs.html"]
,["Text Enrichment properties file","src/ri_textenrich_props_file.html"]
,["Query topics definition file","src/ci_query_topics_definition_file.html"]
,["Adding the Text Enrichment component to a graph","src/ci_adding_text_enrichment_to_graph.html"]
,["Text Enrichment component edges","src/ci_textenrich_edges.html",
["Creating metadata for an example Text Enrichment edge","src/ti_textenrich_create_example_metadata.html"]
],["Processing text formatted in all caps","src/ci_flattenalluppercase_text.html"]
,["Normalizing themes","src/ci_textenrich_normalizing_themes.html"]
,["Adding foreign language processing to Text Enrichment","src/ti_textenrich_foreign_languages.html",
["Processing multiple languages","src/ci_processing_mulitple_languages.html"]
],["Adding Twitter processing to Text Enrichment","src/ti_textenrich_twitter.html"]
],["Detecting text language","src/ci_detecting_text_language.html",
["Language Detector edges","src/ci_language_detector_edges.html"]
]],["Component Reference","src/ci_connectors_root.html",
["Add KVPs component","src/ri_connectors_add_kvps.html"]
,["Bulk Add/Replace Records component","src/ri_connectors_bulk_add.html"]
,["Delete Records component","src/ri_connectors_delete_data.html"]
,["Export Config component","src/ri_connectors_export_config.html"]
,["Import Config component","src/ri_connectors_import_config.html"]
,["Language Detector component","src/ri_connectors_language_detector.html"]
,["Merge Managed Values component","src/ri_connectors_add_mvals.html"]
,["Merge Records component","src/ri_connectors_merge_records.html"]
,["Modify Records component","src/ri_connectors_modify_records.html"]
,["Record Store Reader","src/ri_connectors_record_store.html"]
,["Reset Data Domain component","src/ri_connectors_reset_mdex.html"]
,["Text Enrichment component","src/ri_connectors_text_enrichment.html"]
,["Text Tagger Regex component","src/ri_connectors_text_tagger_regex.html"]
,["Text Tagger Whitelist component","src/ri_connectors_text_tagger_whitelist.html"]
,["Transaction RunGraph component","src/ri_connectors_txn_RunGraph.html"]
,["Visual properties of components","src/ri_connector_visual_properties.html"]
,["Common configuration properties of components","src/ri_connector_common_properties.html"]
,["Multi-assign delimiter","src/ci_multi_assign_delimiter.html"]
,["Batch size adjustments by components","src/ci_batch_size_adjustments_by_connectors.html"]
,["Valid characters for ingest","src/ci_valid_ingest_characters.html"]
],["Implementing SSL","src/ci_implementing_ssl_stub.html",
["Configuring SSL for Information Discovery components","src/ti_ldiconfig_ssl.html"]
,["Configuring SSL for the Web Service Client component","src/ci_config_ssl_web_svc_client.html"]
,["Configuring Integrator ETL Server to support SSL","src/ci_config_ssl_integrator_server.html"]
],["Troubleshooting Problems","src/ci_troubleshoot_root.html",
["OutOfMemory errors","src/ti_troubleshoot_memory_errors.html"]
,["Transaction-related errors","src/ti_troubleshoot_txn_errors.html"]
,["Connection errors","src/ci_troubleshoot_connections.html"]
,["Multi-assign delimiter error","src/ci_troubleshoot_multi-assign.html"]
],["Managing Studio Metadata","src/ci_studio_data_about_studio_metadata.html",
["Managing metadata for physical attributes and attribute groups","src/ci_studio_data_managing_metadata_for_physical_attributes_and_groups.html",
["Creating Information Discovery metadata properties","src/ci_studio_data_creating_id_metadata_properties.html"]
,["Assigning values to attribute metadata properties","src/ci_studio_data_assigning_values_to_attribute_metadata_properties.html"]
,["Assigning values to attribute group configurations","src/ci_studio_data_assigning_values_to_attribute_group_configurations.html"]
],["Managing metadata for views","src/ci_studio_data_managing_metadata_for_views.html"]
,["Studio features and their associated metadata","src/ci_studio_data_studio_features_and_associated.html",
["General attribute metadata","src/ri_studio_data_general_attribute_metadata.html"]
,["General attribute group metadata","src/ri_studio_data_general_attribute_group_metadata.html"]
,["Aggregation method metadata properties","src/ri_studio_data_aggregation_method_metadata_properties.html"]
,["About configuring display formats for attributes","src/ci_studio_about_configuring_display_formats_attributes.html",
["Display format metadata properties","src/ri_studio_data_display_format_metadata_properties.html"]
,["About the formatting specification","src/ci_studio_data_about_formatting_specification.html"]
,["Boolean display format settings","src/ri_studio_data_display_format_settings_boolean.html"]
,["Date/Time display format settings","src/ri_studio_data_display_format_settings_date_time.html"]
,["Duration display format settings","src/ri_studio_data_display_format_settings_duration.html"]
,["Geocode display format settings","src/ri_studio_data_display_format_settings_geocode.html"]
,["Number display format settings","src/ri_studio_data_display_format_settings_number.html"]
,["Time display format settings","src/ri_studio_data_display_format_settings_time.html"]
],["Configuring Studio usage and display of attributes","src/ci_studio_configuring_usage_and_display.html"]
],["Localization in Studio","src/ci_localization_in_studio.html",
["Localizing display names and descriptions of attributes and predefined metrics","src/ci_studio_data_localizing_display_names_descriptions_attributes_metrics.html"]
,["Localizing attribute group display names","src/ci_studio_data_localizing_attribute_group_display_names.html"]
,["Localizing view display names and descriptions","src/ci_studio_data_localizing_view_display_names_and_descriptions.html"]
,["Localizing attributes","src/ci_localizing_attributes.html"]
],["Date and time metadata properties","src/ri_studio_datetime_metadata_properties.html"]
],["Managing Collections for Studio","src/ci_studio_about_collections_studio.html",
["Creating and updating collections","src/ci_studio_creating_updating_collections.html"]
,["Collection key and attribute names","src/ci_studio_collection_key_attribute_names.html"]
],["Conventions used in this document","src/c_conventions_used_in_this_book.html"]
,["Copyright and disclaimer","src/c_copyright.html"]
];
var gInitURL = "src/ci_about_this_guide.html";
var gMapTitle = "Endeca Information Discovery Integrator: Integrator ETLユーザーズ・ガイド";
